### Function

# Pango.TabArray.new

#### Declaration [src]

    PangoTabArray*
    pango_tab_array_new (
      gint initial_size,
      gboolean positions_in_pixels
    )

#### Description [src]

Creates an array of `initial_size` tab stops.

Tab stops are specified in pixel units if `positions_in_pixels` is `TRUE`, otherwise in Pango units. All stops are initially at position 0.

#### Parameters

`initial_size` | `gint`
| Initial number of tab stops to allocate, can be 0
`positions_in_pixels` | `gboolean`
| whether positions are in pixel units

#### Return value

Returns: `PangoTabArray`
the newly allocated `PangoTabArray`, which should be freed with `pango_tab_array_free()`.
Ownership of the data is transferred to the caller